Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedRSS094

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedRSS091N
                          com.sun.syndication.unittest.TestSyndFeedRSS092
                              com.sun.syndication.unittest.TestSyndFeedRSS093
                                  com.sun.syndication.unittest.TestSyndFeedRSS094

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  Issue2Test, TestSyndFeedRSS20

    public class TestSyndFeedRSS094

extends TestSyndFeedRSS093

Author:
  pat

Constructor Summary
`` | `TestSyndFeedRSS094()`
`protected` | `TestSyndFeedRSS094(String type)`
`protected` | `TestSyndFeedRSS094(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testDescriptionType(SyndEntry entry, int i)`
`protected void` | `_testItem(int i)`
`protected void` | `_testUri(SyndEntry entry, int i)`
`void` | `testCategories()`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS093
`testEntryPublishedDate`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS092
`_testCategories, _testEnclosures`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS091N
`testAuthor, testCopyright, testImageDescription, testImageLink, testImageTitle, testImageUrl, testLanguage, testPublishedDate`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testDescription, testEntries, testEntryDescription, testEntryLink, testEntryTitle, testImage, testLink, testPreserveWireFeed, testTitle, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedRSS094

    public TestSyndFeedRSS094()

### TestSyndFeedRSS094

    protected TestSyndFeedRSS094(String type)

### TestSyndFeedRSS094

    protected TestSyndFeedRSS094(String feedType,
                                 String feedFileName)

Method Detail

### testCategories

    public void testCategories()
                        throws Exception

  Throws:
    `Exception`

### _testDescriptionType

    protected void _testDescriptionType(SyndEntry entry,
                                        int i)
                                 throws Exception

  Overrides:
    `_testDescriptionType` in class `TestSyndFeedRSS093`
  Throws:
    `Exception`

### _testItem

    protected void _testItem(int i)
                      throws Exception

  Overrides:
    `_testItem` in class `TestSyndFeedRSS093`
  Throws:
    `Exception`

### _testUri

    protected void _testUri(SyndEntry entry,
                            int i)
                     throws Exception

  Overrides:
    `_testUri` in class `TestSyndFeedRSS091N`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.